<template>
  <div id="Incoming-Info">
    <div class="inputsBox">
      <input maxlength="20" placeholder="Name" id="name-input" v-model="contact.name" />
      <input placeholder="Last Name" id="sur-name" v-model="contact.familyName" />
      <input placeholder="Number" id="phone-number" v-model="contact.mobile" />
      <input placeholder="Email" id="email-contact" v-model="contact.email" />
    </div>

    <div class="buttonsBox">
      <button class="return" @click="goHome">
        <i class="fas fa-chevron-left"></i>
      </button>
      <button class="delete" @click="sendData">
        <i class="fas fa-save"></i>
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: "AddContact",
  props: {},
  data() {
    return {
      contact: {
        name: null,
        familyName: null,
        mobile: null,
        email: null
      }
    };
  },
  methods: {
    sendData() {
      this.$emit("save-contact-event", this.contact);
    },
    goHome() {
      this.$emit("go-back-to-start-screen-event");
    }
  }
};
</script>

<style scoped>
#Incoming-Info {
  margin: 10vh 0%;
  display: flex;
  flex-direction: column;
}
.buttonsBox {
  display: flex;
  flex-direction: row;
  align-content: center;
  justify-content: space-around;
}
.inputsBox {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: space-around;
  font-family: sans-serif;
  font-size: 9px;
  text-align: left;
  padding: 4em;
  letter-spacing: 1px;
  color: rgb(83, 83, 83);
  border-radius: 10px;
  background: #e1ecf2;
  box-shadow: 30px 30px 59px #c8d2d7, -30px -30px 59px #faffff;
  margin: 0% 25rem;
}
input {
  font-weight: 600;
  font-size: 16px;
  border-radius: 10px;
  background: #e1ecf2;
  box-shadow: inset 4px 4px 7px #c8d2d7, inset -4px -4px 7px #faffff;
  border-style: none;
  padding: 1rem;
  margin-top: 1em;
}
input:focus {
  outline: none;
}
button {
  border-style: none;
  margin: 5rem 8rem;

  padding: 1rem;
  border-radius: 10px;
  background: #e1ecf2;
  box-shadow: 6px 6px 11px #c8d2d7, -6px -6px 11px #faffff;
}
button:focus {
  outline: none;
}
.fa-chevron-left {
  padding: 0px 0.3rem;
}
.fa-chevron-left,
.fa-save {
  color: #1cb6e0;
  font-size: 18px;
}
@media all and (max-width: 601px) {
  .inputsBox {
    margin: 2rem 2rem;
    padding: 1rem;
  }
  input {
    font-size: 12px;
    padding: 0.5rem;
  }

  #commentInfo {
    width: 40vw;
  }

  .fa-chevron-left,
  .fa-save {
    font-size: 10px;
  }
}
</style>
